Subject: Re: [Bitcoin-development] On-going data spam

From: Peter Todd <[email-masked]>
Date: Tue, 9 Apr 2013 05:28:44 -0400

On Mon, Apr 08, 2013 at 09:22:10PM -0400, Jeff Garzik wrote:
> http://www.reddit.com/r/Bitcoin/comments/1bw9xg/data_in_the_blockchain_wikileaks/
> 
> <TD> petertodd: yeah somebody put a file upload tool into the chain
> and then tried to upload the entire amibios source code to it. stupid.
> <TD> someone thinks it's a lot more important than it really is
> <petertodd> TD: and 2.5MB of wikileaks data, and a whole bunch of GPG
> encrypted stuff, and the hidden wiki cp/jb sections (no idea if it's
> all the same person)
> <petertodd> jgarzik:
> https://blockchain.info/address/3Dw3UB6VZ3a3ay5diDQVwUFXzKScJJLeVU
> iirc this is gpg symmetric key encrypted
> <petertodd> jgarzik: (I wrote a tool to download the tool to download data)
> <petertodd> MC1984_: just checked, surprisingly no-one has put
> *anything* into the litecoin chain at all, strings returns nothing

It must be "shit on the blockchain" week:

http://vog.github.io/bitcoinproof/

Timestamping the stupid way, but the user experience is really nice:

> Encoding your crypto hash into those two fields is a tricky task, so
> people are tempted to make it more complicated than it has to be(1), or
> outright cumbersome. Luckily(2), there is a simple solution that needs
> only one transaction to one address.
> 1) https://github.com/fireduck64/BitcoinTimestamp
> 2) https://github.com/goblin/chronobit

Like it or not, people will do what's easiest regardless of how much it
harms everyone. I'd send this guy an email about opentimestamps yadda
yada, but really, why bother.

-- 
'peter'[:-1]@petertodd.org